Bug 1027756 - [Usability] It is possible to use duplicate name or jdni in "New Datasource" wizard
[Usability] It is possible to use duplicate name or jdni in "New Datasource" ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On: 1066151
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 06:31 EST by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:42:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-302 Minor Resolved It is possible to use duplicate name or jdni in "New Datasource" wizard 2016-12-07 10:23 EST

  None (edit)
Description Jakub Cechacek 2013-11-07 06:31:57 EST
Datasource creation wizard doesn't check uniqueness of datasource name or jndi during a creation, if already used name is specified it fails after the creation of a new datasource, ie. all user data are lost

How to reproduce
1) try to create new datasource with name "ExampleDS" 

Expected result: user will be notified about duplicit name being used before the creation process is done -- or allow user to correct the name (see BZ1027246)

Actual result: user will end up with error message and all data is lost
Comment 1 JBoss JIRA Server 2014-01-30 07:17:50 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-302 to Coding In Progress
Comment 2 JBoss JIRA Server 2014-02-13 06:56:00 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-302 to Resolved
Comment 3 Jakub Cechacek 2014-02-26 06:42:48 EST
Verified 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.